---
title: "Databases & Analytics - How to set up logs forwarding"
description: "Cloud Databases and Analytics allow you to send logs of your service to your own Logs Data Platform (LDP) data stream."
url: https://docs.us.ovhcloud.com/en/public-cloud/data-analytics/set-up-logs-forwarding
lang: en
---
> For AI agents: the complete documentation index is available at https://docs.us.ovhcloud.com/en/llms.txt, the full documentation bundle is available at https://docs.us.ovhcloud.com/en/llms-full.txt.

# Databases & Analytics - How to set up logs forwarding

Cloud Databases and Analytics allow you to send logs of your service to your own Logs Data Platform (LDP) data stream.

 

## Requirements

- Access to the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/) and [OVHcloud API](https://api.us.ovhcloud.com/)

- A [Cloud Database service](https://us.ovhcloud.com/public-cloud/databases/) up and running

  **Note:**

  We will use Valkey as the example in this guide.

- A [Logs Data Platform account](https://docs.us.ovhcloud.com/en/manage-and-operate/logs-data-platform/getting-started.md) within this OVHcloud account with at least one destination stream configured

  **Warning:**

  **NOTE:** If you are not familiar with all the LDP _Stream_ configuration possibilities, create a new one with the default options (indexing and websocket enabled, long-term storage disabled) for this guide.

 

## Instructions

### Create your subscription

#### Via OVHcloud Control Panel

#### Logs direct access

From the OVHcloud Control Panel, navigate to your engine via the `Public Cloud` and `Databases` (or `Data Analysis`) menus.
Once there, click the `Logs` tab.

 
#### Logs access through LDP

From the `Logs` tab, you can `Subscribe` to an LDP data stream. Once the subscription is enabled, all the logs will be pushed to [Logs Data Platform](https://us.ovhcloud.com/identity-security-operations/logs-data-platform/) to archive generated logs and perform advanced searches, and create alerts or visualizations.
For more information, please refer to our [Quick Start for Logs Data Platform](https://docs.us.ovhcloud.com/en/manage-and-operate/logs-data-platform/getting-started.md) guide.

##### Via OVHcloud API

##### Retrieve the required information

Retrieve your LDP destination `streamId`:
- In the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/), go to the `Logs Data Platform` section and select your service.
- Go to the `Data stream` tab.
- Choose your target stream, select the _more options_`...` button, and then `Copy stream ID`.

Retrieve your LDP destination `serviceName`:
- This is your Public Cloud project ID.

Retrieve your `clusterId`:
- In the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/), go to your database.
- You can see the field `Name/ID`.

Retrieve the available `kind` values for your service:
- `GET /cloud/project/{serviceName}/database/valkey/{clusterId}/log/kind`
 

Use the following API call:

[POST /cloud/project/{serviceName}/database/{engine}/{clusterId}/log/subscription](https://api.us.ovhcloud.com/console/?section=/cloud&branch=v1#post-/cloud/project/-serviceName-/database/-engine-/-clusterId-/log/subscription)

**Request Body:**
```console
{
  kind: "string",
  streamId: <LDP destination stream ID>
}
```

 

### Find logs in Graylog

To find logs of your service in your Graylog stream, you can use the following Graylog queries:

#### MongoDB[®](#go-further)

Query: `cluster: "<HostID>"`

You can find this `HostID` in your manager:

- In `Login information` switch the `Service` to `mongodb`
- Now you can see the `Host` field with the format `<HostID>.database.cloud.ovh.us`

 

#### Other Engines

Query: `clusterID: "<Engine>-<HostID>"`

You can find this `HostID` in your manager:

- Find the Cluster ID formatted as a UUID (AAAAAAAA-BBBB-CCCC-DDDDDDDDDDDD)
- `HostID` is the first part of the UUID (AAAAAAAA)

 

### Delete your subscription

#### Via OVHcloud Control Panel

#### Method 1: Unsubscribe

From the [OVHcloud Control Panel](https://manager.us.ovhcloud.com/), navigate to your engine and select the `Logs` tab.
Click `Unsubscribe`.

 
#### Method 2: Cancel the database service

If you delete your database service, all subscriptions of this service are deleted automatically.
For instructions to cancel a Database or Analytics service, see our [Databases & Analytics - FAQ](https://docs.us.ovhcloud.com/en/public-cloud/databases/faq.md#service-plans-and-instances) guide.

##### Via OVHcloud API

#### Method 1: Unsubscribe

You can delete subscriptions using the `subscriptionId` concerned in this API call:

[DELETE /cloud/project/{serviceName}/database/{engine}/{clusterId}/log/subscription/{subscriptionId}](https://api.us.ovhcloud.com/console/?section=/cloud&branch=v1#delete-/cloud/project/-serviceName-/database/-engine-/-clusterId-/log/subscription/-subscriptionId-)

 
#### Method 2: Cancel the database service

If you delete your database service, all subscriptions of this service are deleted automatically.

[DELETE /cloud/project/{serviceName}/database/{engine}/{clusterId}](https://api.us.ovhcloud.com/console/?section=/cloud&branch=v1#delete-/cloud/project/-serviceName-/database/-engine-/-clusterId-)

 

## Go further

Browse all the [Databases guides](https://docs.us.ovhcloud.com/en/public-cloud/databases/landing-page-databases.md).

Browse the rest of the [OVHcloud US documentation](https://docs.us.ovhcloud.com/en/index.md) for guides on our other products and services.

Learn more about [Managed Databases](https://us.ovhcloud.com/public-cloud/databases/) on the OVHcloud US website.

If you need training or technical assistance to implement our solutions, contact your sales representative or click on [this link](https://us.ovhcloud.com/support/professional-services/) to get a quote and ask our Professional Services experts for a custom analysis of your project.

OVHcloud Managed Databases and Analytics:

- Grafana® is a registered trademark of Grafana Labs and is used with the permission of Grafana Labs. OVH SAS and its subsidiaries are not affiliated with or endorsed by Grafana Labs.
- Kafka® is a registered trademark of The Apache Software Foundation and has been licensed for use by OVHcloud, who has no affiliation with and is not endorsed by The Apache Software Foundation.
- MongoDB® is a registered trademark of MongoDB, Inc.
- MySQL® is a registered trademark of Oracle and/or its affiliates.
- PostgreSQL® is a registered trademark of the PostgreSQL Community Association of Canada.
